=== debian/control ===
--- 
+++ 
@@ -177,7 +177,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstrongswan (=
  ${binary:Version}), adduser
 Recommends: strongswan-charon
-Conflicts: strongswan (<< 4.2.12-1)
+Conflicts: strongswan (<< 4.2.12-1), openswan
 Description: strongSwan daemon starter and configuration file parser
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
