=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,21 @@
 	# (most notably the Phion one) have problems connecting when pluto 
 	# sends these Cisco options.
 
+# get the various DEB_BUILD/DEB_HOST variables
+include /usr/share/dpkg/architecture.mk
+
+# use reduced keylength in testsuite for !linux and !x86
+ifneq ($(DEB_BUILD_ARCH_OS),linux)
+	export TESTS_REDUCED_KEYLENGTHS=true
+endif
+ifneq ($(DEB_BUILD_ARCH_CPU),i386)
+ifneq ($(DEB_BUILD_ARCH_CPU),amd64)
+	export TESTS_REDUCED_KEYLENGTHS=true
+endif
+endif
+
 # the padlock plugin only makes sense on i386 
 # RdRand only makes sense on i386 and amd64
-DEB_BUILD_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 ifeq ($(DEB_BUILD_ARCH_CPU),i386)
   CONFIGUREARGS += --enable-padlock --enable-rdrand
 endif
@@ -85,37 +97,60 @@
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	# handle Linux-only plugins
 	dh_install -p libcharon-extra-plugins usr/lib/ipsec/plugins/libstrongswan-dhcp.so
+	dh_install -p libcharon-extra-plugins usr/share/strongswan/templates/config/plugins/dhcp.conf
+	dh_install -p libcharon-extra-plugins etc/strongswan.d/charon/dhcp.conf
+
 	dh_install -p libcharon-extra-plugins usr/lib/ipsec/plugins/libstrongswan-farp.so
+	dh_install -p libcharon-extra-plugins usr/share/strongswan/templates/config/plugins/farp.conf
+	dh_install -p libcharon-extra-plugins etc/strongswan.d/charon/farp.conf
+
 	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-netlink.so
-	dh_install -p libstrongswan-extras-plugins usr/lib/ipsec/plugins/libstrongswan-af-alg.so
+	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-netlink.conf
+	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-netlink.conf
+
+	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-af-alg.so
+	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/af-alg.conf
+	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/af-alg.conf
 endif
 
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
 	# handle FreeBSD-only plugins
 	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-pfkey.so
+	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-pfkey.conf
+	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-pfkey.conf
+
 	dh_install -p libstrongswan usr/lib/ipsec/plugins/libstrongswan-kernel-pfroute.so
+	dh_install -p libstrongswan usr/share/strongswan/templates/config/plugins/kernel-pfroute.conf
+	dh_install -p libstrongswan etc/strongswan.d/charon/kernel-pfroute.conf
 endif
 
 ifeq ($(DEB_BUILD_ARCH_CPU),i386)
 	# special handling for padlock, as it is only built on i386
-	dh_install -p libstrongswan-extras-plugins usr/lib/ipsec/plugins/libstrongswan-padlock.so
-	dh_install -p libstrongswan-extras-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
+	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-padlock.so
+	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/padlock.conf
+	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/padlock.conf
+
+	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
+	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/rdrand.conf
+	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/rdrand.conf
 endif
 
 ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
-	dh_install -p libstrongswan-extras-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
+	dh_install -p libstrongswan-extra-plugins usr/lib/ipsec/plugins/libstrongswan-rdrand.so
+	dh_install -p libstrongswan-extra-plugins usr/share/strongswan/templates/config/plugins/rdrand.conf
+	dh_install -p libstrongswan-extra-plugins etc/strongswan.d/charon/rdrand.conf
 endif
 
 	# then install the rest, ignoring the above
 	dh_install --fail-missing \
 		-X\.la -X\.a \
 		-Xmedsrv -Xman3 \
-		-Xlibstrongswan-kernel \
-		-Xlibstrongswan-dhcp.so \
-		-Xlibstrongswan-farp.so \
-		-Xlibstrongswan-padlock.so \
-		-Xlibstrongswan-rdrand.so \
-		-Xlibstrongswan-af-alg.so
+		-Xlibstrongswan-kernel- -X kernel- \
+		-Xlibstrongswan-dhcp.so -X dhcp.conf \
+		-Xlibstrongswan-farp.so -X farp.conf \
+		-Xlibstrongswan-padlock.so -X padlock.conf \
+		-Xlibstrongswan-rdrand.so -X rdrand.conf \
+		-Xlibstrongswan-af-alg.so -X af-alg.conf
 
 	# add additional files not covered by upstream makefile...
 	install --mode=0600 $(CURDIR)/debian/ipsec.secrets.proto $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets
