=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
   hardening-wrapper, libfcgi-dev, clearsilver-dev,
   libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7) [linux-any], 
   libnm-glib-vpn-dev (>= 0.7) [linux-any], libnm-util-dev (>= 0.7) [linux-any], 
-  gperf, libcap-dev [linux-any], dh-autoreconf
+  gperf, libcap-dev [linux-any], dh-autoreconf, pkg-config,
+  libgcrypt20-dev | libgcrypt11-dev
 Homepage: http://www.strongswan.org
 
 Package: strongswan
@@ -203,7 +204,8 @@
 Architecture: any
 Pre-Depends: debconf | debconf-2.0
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstrongswan (= ${binary:Version}), strongswan-starter, iproute [linux-any]
+ libstrongswan (= ${binary:Version}), strongswan-starter,
+ iproute2 [linux-any] | iproute [linux-any]
 Provides: ike-server
 Breaks: libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1)
 Replaces: strongswan-ikev1, strongswan-ikev2, libstrongswan (<= 5.1.1-1), strongswan-ike (<= 5.1.1-1)
@@ -256,6 +258,3 @@
 
 Package: strongswan-ikev2
 Architecture: all
-Depends: ${misc:Depends}, strongswan-ike
-Section: oldlibs
-Priority: extra
