=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2), libtool, libgmp3-dev, 
   libssl-dev (>= 0.9.8), libcurl4-openssl-dev | libcurl3-dev | libcurl2-dev,
   libldap2-dev, libpam0g-dev, libkrb5-dev, bison, flex, bzip2, po-debconf,
-  hardening-wrapper, libfcgi-dev, clearsilver-dev,
+  libfcgi-dev, clearsilver-dev, libgcrypt20-dev | libgcrypt11-dev,
   libxml2-dev, libsqlite3-dev, network-manager-dev (>= 0.7) [linux-any], 
   libnm-glib-vpn-dev (>= 0.7) [linux-any], libnm-util-dev (>= 0.7) [linux-any], 
   gperf, libcap-dev [linux-any], dh-autoreconf, pkg-config,
-  libgcrypt20-dev | libgcrypt11-dev
+  systemd [linux-any], dh-systemd (>= 1.5)
 Homepage: http://www.strongswan.org
 
 Package: strongswan
