## strongswan 5.2.1

=== debian/changelog ===
strongswan (5.2.1-6+deb8u8) jessie-security; urgency=high

  * CVE-2018-17540: Fix a denial-of-service vulnerability in the GMP plugin.
    Verification of a signature with a very short RSA public key caused an
    integer underflow in a length check that results in a heap buffer overflow.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Oct 2018 10:56:21 +0100

strongswan (5.2.1-6+deb8u7) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Security Team.
  * Fix CVE-2018-16151, CVE-2018-16152: bypass vulnerability in gmp plugin

 -- Abhijith PA <abhijith@disroot.org>  Wed, 26 Sep 2018 20:01:46 +0530

strongswan (5.2.1-6+deb8u6) jessie-security; urgency=medium

  * d/p/CVE-2018-10811.patch added, fix missing initialization of a variable
    in IKEv2 key derivation (CVE-2018-10811)
  * d/p/CVE-2018-5388 added, fix insufficient validation in the stroke plugin
    (CVE-2018-5388)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 14 Jun 2018 10:13:44 +0200

strongswan (5.2.1-6+deb8u5) jessie-security; urgency=medium

  * debian/patches:
    - CVE-2017-11185 added, fix insufficient validation in gmp plugin
    (CVE-2017-11185)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Aug 2017 21:00:12 +0200

strongswan (5.2.1-6+deb8u4) jessie-security; urgency=medium

  * debian/rules:
    - revert disabling of vectors test
  * debian/patches:
    - 0001-openssl-Don-t-pre-initialize-OpenSSL-HMAC-with-an-em added,
    backported from upstream, fix HMAC initialization with recent OpenSSL.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 30 May 2017 10:07:29 +0200

strongswan (5.2.1-6+deb8u3) jessie-security; urgency=medium

  * debian/patches:
    - CVE-2017-9022_insufficient_input_validation_gmp_plugin added, fix
    insufficient input validation in gmp plugin which could lead to denial of
    service (CVE-2017-9022).
    - CVE-2017-9023_incorrect_handling_of_choice_types_in_asn1_parser added,
    fix incorrect handling of CHOICE types in ASN.1 parser and x509 plugin
    whch could lead to an infinite loop and a denial of service
    (CVE-2017-9023).
  * debian/rules:
    - disable the vectors test which is failing right now for unknown reason
    (maybe due to an OpenSSL regression)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 May 2017 21:22:54 +0200

strongswan (5.2.1-6+deb8u2) jessie-security; urgency=medium

  * debian/patches:
    - CVE-2015-8023_eap_mschapv2_state added, fix authentication bypass when
    using EAP MSCHAPv2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 16 Nov 2015 12:13:54 +0100

strongswan (5.2.1-6+deb8u1) jessie-security; urgency=high

  * debian/patches:
    - CVE-2015-4171_enforce_remote_auth added, fix potential leak of
    authentication credential to rogue server when using PSK or EAP. This is
    CVE-2015-4171.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 04 Jun 2015 19:24:59 +0200

strongswan (5.2.1-6) unstable; urgency=medium

  * Ship /lib/systemd/system/ipsec.service as a symlink to
    strongswan.service in strongswan-starter instead of using Alias= in
    the service file. This makes the ipsec name available to invoke-rc.d
    before the service gets actually enabled, which avoids some confusion
    (closes: #781209).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 04 Apr 2015 17:55:38 +0200

strongswan (5.2.1-5) unstable; urgency=high

  * debian/patches:
    - debian/patches/CVE-2014-9221_modp_custom added, fix unauthenticated
    denial of service in IKEv2 when using custom MODP value.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 Jan 2015 13:11:51 +0100

strongswan (5.2.1-4) unstable; urgency=medium

  * Give up on trying to run the test suite on !amd64, it now times out on
    both i386 and s390x, our chosen "fast" archs.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 24 Oct 2014 21:08:17 +0200

strongswan (5.2.1-3) unstable; urgency=medium

  * Disable libtls tests again, they are still too intensive for the buildd
    network...

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 23 Oct 2014 18:09:27 +0200

strongswan (5.2.1-2) unstable; urgency=medium

  * Cherry-pick commits 701d6ed and 1c70c6e from upstream to fix checksum
    computation and FTBFS on big-endian hosts.
  * Run the test suite only on amd64, i386, and s390x. It requires lots of
    entropy and CPU time, which are typically hard to come by on slower
    archs.
  * Re-enable normal keylengths in test suite.
  * Re-enable libtls tests.
  * Update Dutch translation, thanks to Frans Spiesschaert (closes: #763798).
  * Bump Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 22 Oct 2014 21:21:37 +0200

strongswan (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Stop shipping /etc/strongswan.conf.d in libstrongswan.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 21 Oct 2014 19:38:25 +0200
