=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rene Mayrhofer <rmayr@debian.org>,
   Yves-Alexis Perez <corsac@debian.org>,
   Romain Francoise <rfrancoise@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-swan/strongswan.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-swan/strongswan.git
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2), libtool, libgmp3-dev,
