=== debian/rules ===
--- 
+++ 
@@ -33,17 +33,7 @@
 # get the various DEB_BUILD/DEB_HOST variables
 include /usr/share/dpkg/architecture.mk
 
-# use reduced keylength in testsuite for !linux and !x86
-ifneq ($(DEB_BUILD_ARCH_OS),linux)
-	export TESTS_REDUCED_KEYLENGTHS=true
-endif
-ifneq ($(DEB_BUILD_ARCH_CPU),i386)
-ifneq ($(DEB_BUILD_ARCH_CPU),amd64)
-	export TESTS_REDUCED_KEYLENGTHS=true
-endif
-endif
-
-# the padlock plugin only makes sense on i386 
+# the padlock plugin only makes sense on i386
 # RdRand only makes sense on i386 and amd64
 ifeq ($(DEB_BUILD_ARCH_CPU),i386)
   CONFIGUREARGS += --enable-padlock --enable-rdrand
@@ -198,5 +188,10 @@
 override_dh_installlogcheck:
 	dh_installlogcheck --name strongswan
 
+override_dh_auto_test:
+ifeq ($(DEB_BUILD_ARCH),amd64)
+	dh_auto_test
+endif
+
 %:
 	dh $@ --parallel --with autoreconf,systemd
